texstudio (4.9.2+ds-1) unstable; urgency=medium

  * Merging upstream version 4.9.2+ds.
  * Regenerating adwaita-qt.patch.
  * Removing qtermwidget6.patch, fixed upstream.
  * Updating to standards version 4.7.4, no changes needed.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused _codeql_detected_source_root symlink
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Tue, 26 May 2026 21:19:10 +0200

texstudio (4.9.1+ds-1) unstable; urgency=medium

  * Merging upstream version 4.9.1+ds.
  * Updating excluded files in copyright file.
  * Updating year in copyright file.
  * Regenerating adwaita-qt.patch.
  * Regenerating qtermwidget6.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused _codeql_detected_source_root symlink
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sun, 18 Jan 2026 12:22:59 +0100

texstudio (4.9.0+ds-1) unstable; urgency=medium

  * Merging upstream version 4.9.0+ds.
  * Removing Priority field in control file, no longer needed for priority
    'optional'.
  * Updating to standards version 4.7.3.
  * Regenerating disable-auto-update.patch.
  * Changing install file to relative destination path.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sat, 17 Jan 2026 10:19:59 +0100

texstudio (4.8.9+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.9+ds.
  * Updating from adwaita-qt to adwaita-qt6.
  * Replacing dependency on libqt6svg6 by qt6-svg-plugins to ensure icons
    are displayed even if recommends are not installed.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Thu, 06 Nov 2025 16:55:57 +0100

texstudio (4.8.8+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.8+ds.
  * Regenerating qtermwidget6.patch.
  * Removing no longer used QT_SELECT line from rules file (Closes: #1119879).
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Tue, 04 Nov 2025 08:11:01 +0100

texstudio (4.8.7+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.7+ds.
  * Regenerating adwaita-qt.patch.
  * Regenerating qtermwidget6.patch.
  * Removing no longer needed usr-prefix.patch.
  * Renumbering patches.
  * Updating to standards version 4.7.2, no changes needed.
  * Updating fsf address and url in copyright file.
  * Updating location of html documentation in texstudio-doc.install file
    after upstream change.
  * Updating location of files to be removed in rules file after upstream
    changes.
  * Simplifying texstudio-doc.install file.
  * Removing unused empty directory _sources from debian/tmp in rules
    file.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sat, 03 May 2025 22:39:16 +0200

texstudio (4.8.6+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.6+ds.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Mon, 10 Feb 2025 07:21:30 +0100

texstudio (4.8.5+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.5+ds.
  * Removing number prefix from patches in changelog file for better
    readability.
  * Fixing excluded files in changelog file.
  * Fixing excluded files in copyright file.
  * Updating year in copyright file.
  * Regenerating cleanup-appstream.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sun, 05 Jan 2025 21:51:30 +0100

texstudio (4.8.4+ds-2) unstable; urgency=medium

  * Migrating to qt6 (Closes: #1089113):
    - Updating build dependencies for qt6.
    - Updating dependencies for qt6.
    - Updating path to qt6 lrelease in rules file.
    - Adding qtermwidget6.patch for building with and including
      qtermwidget6.
  * Removing no longer valid texstudio.lintian-overrides.
  * Fixing upstream metainfo filename.

 -- Tom Jampen <tom@cryptography.ch>  Tue, 10 Dec 2024 07:52:11 +0100

texstudio (4.8.4+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.4+ds.
  * Regenerating adwaita-qt.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sat, 28 Sep 2024 17:34:36 +0200

texstudio (4.8.2+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.2+ds.
  * Regenerating disable-auto-update.patch.
  * Regenerating adwaita-qt.patch.
  * Adding qtchooser as a build dependency for building TeXstudio
    translations.
  * Adding command in rules file for building translations.
  * Updating excluded files in copyright file.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sun, 22 Sep 2024 10:39:01 +0200

texstudio (4.8.1+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.1+ds.
  * Regenerating disable-auto-update.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Fri, 07 Jun 2024 23:06:57 +0200

texstudio (4.8.0+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.0+ds.
  * Updating to standards version 4.7.0, no changes needed.
  * Removing no longer present travis-ci directory from excluded files in
    copyright file.
  * Excluding upstream files in copyright file.
  * Mentioning new translations (gsw, sq) in control file.
  * Regenerating adwaita-qt.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Thu, 16 May 2024 20:58:24 +0200

texstudio (4.7.2+ds-2) unstable; urgency=medium

  * Improving version handling for Built-Using field (Closes: #1063609).

 -- Tom Jampen <tom@cryptography.ch>  Sat, 10 Feb 2024 11:07:30 +0100

texstudio (4.7.2+ds-1) unstable; urgency=medium

  * Merging upstream version 4.7.2+ds (Closes: #1062084).
  * Updating year in copyright file.
  * Updating excluded files in copyright file.
  * Adding new upstream files images-ng/colibre/* to copyright file.
  * Fixing path to src/pdfviewer/synctex/* in copyright file.
  * Updating to standards version 4.6.2, no changes needed.
  * Mentioning new translation (de_CH) in control file.
  * Updating build dependencies as upstream changed the build system from
    qmake to cmake.
  * Updating build dependencies as upstream switched from phonon to
    qtmultimedia.
  * Improving description in control file.
  * Declaring Rules-Requires-Root: no in control file.
  * Removing no longer needed configure flag for detecting system
    hunspell.
  * Removing no longer needed configure flag for detecting system quazip.
  * Removing no longer needed configure flag for enabling the internal
    terminal.
  * Removing no longer needed configure flag for disabling internal tests.
  * Activating qtmultimedia instead of phonon with configure flag.
  * Updating configure flag for deactivating the internal crash handler.
  * Updating path for icon installating in rules file.
  * Removing no longer needed override for dh_compress.
  * No longer generating and installing a CREDITS file.
  * Removing no longer needed build dependency on adwaita-qt.
  * Removing no longer needed adwaita-qt export in rules.
  * Switching from obsolete pkg-config to pkgconf.
  * Switching from libquazip5-dev to libquazip1-qt5-dev.
  * Updating changelog filename and path in rules file.
  * Removing new CHANGELOG.md file from /usr/share/texstudio in rules.
  * Removing no longer working workaround to set Debian revision in about
    dialog from rules file.
  * Exporting DEB_VERSION in rules for use in about dialog.
  * Regenerating fix-desktop.patch.
  * Updating cleanup-appstream.patch.
  * Updating about-dialog.patch.
  * Updating disable-auto-update.patch.
  * Removing no longer needed removed-upstream-files.patch for old
    build system.
  * Removing no longer needed adwaita-qt.patch for old build system.
  * Adding adwaita-qt.patch in order to avoid building with removed
    internal adwaita-qt.
  * Adding usr-prefix.patch in order to define the correct PREFIX for
    Debian.
  * Adding privacy-breach.patch in order to fix privacy breach in
    latex2e html documentation.
  * Renumbering patches to four leading digits.
  * Removing incorrect lintian override for texstudio-doc.
  * Adding lintian override for latex2e.html as no source is missing.
  * Removing doc-base files.
  * Adding build dependencies for new upstream sphinx documentation.
  * Adding dh_auto_build override for building new upstream sphinx
    documentation.
  * Installing new html documentation.
  * Building with dh_sphinxdoc.
  * Adding ${sphinxdoc:Depends} for texstudio-doc in control file.
  * Overriding dh_spinxdoc in order to exclude files.
  * Adding Built-Using field for texstudio-doc using ${sphinxdoc:Built-
    Using} variable.
  * Adding furo as a dependency for texstudio-doc.
  * Symlinking static documentation files from furo.
  * Adding python3-sphinx-inline-tabs as a dependency for texstudio-doc.
  * Symlinking static documentation files from python3-sphinx-inline-tabs.
  * Adding python3-sphinx-design to Built-Using field.
  * Adding python3-pygments to Built-Using field.
  * Removing unused static documentation files.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused qt translations
    - unused travis-ci directory
    - unused dictionary and thesaurus files
    - unused utilities/FileAssociation.nsh file
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused poppler-data directory
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Wed, 07 Feb 2024 15:09:56 +0100

texstudio (4.3.1+ds-3) unstable; urgency=medium

  * Adding src/git_revision.cpp to debian/clean (Closes: #1047194).

 -- Tom Jampen <tom@cryptography.ch>  Mon, 04 Sep 2023 19:20:53 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog texstudio-doc`.
